Linux Ubuntu20.04(LST:2025)のプリンタードライバーのダウンロードの質問です。 PX-105プリンタードライバーのインストールのために下記のコマンドを

Linux Ubuntu20.04(LST:2025)のプリンタードライバーのダウンロードの質問です。 PX-105プリンタードライバーのインストールのために下記のコマンドを 実行しましたが、エラーになりました。 Q1)正しいインストールのための方法を御教え頂けますと 大変有り難いです。 =================== $ sudo dpkg -i epson-inkjet-printer-201211j_1.0.1-1lsb3.2_i386.deb 以前に未選択のパッケージ epson-inkjet-printer-201211j:i386 を選択しています。 (データベースを読み込んでいます ... 現在 246024 個のファイルとディレクトリがインストールされています。) epson-inkjet-printer-201211j_1.0.1-1lsb3.2_i386.deb を展開する準備をしています ... epson-inkjet-printer-201211j:i386 (1.0.1-1lsb3.2) を展開しています... dpkg: 依存関係の問題により epson-inkjet-printer-201211j:i386 の設定ができません: epson-inkjet-printer-201211j:i386 は以下に依存 (depends) します: lsb (>= 3.2). dpkg: パッケージ epson-inkjet-printer-201211j:i386 の処理中にエラーが発生しました (--install): 依存関係の問題 - 設定を見送ります 処理中にエラーが発生しました: epson-inkjet-printer-201211j:i386 =================== 以上、宜しくお願いします

補足

ダウンロードファイルを epson-inkjet-printer-201211j_1.0.1-1lsb3.2_amd64.deb に変更してOKになりました。 製造元とモデルは Epson PX-105 Series - epson-inkjet-printer 1.0.1-1lsb3.2 h となりました。 PCは32ビットですから、amd64ではなくi386ですが 何故か、amd64のファイルを指定する様です。 Windows10でi386を指定するPCはあるのでしょうか?

Linux系 | プリンター19閲覧xmlns="http://www.w3.org/2000/svg">25

ベストアンサー

0

ubuntu20.04は64bit版しかなかったと思いますが・・・ pcは64bitOSに対応してるのではないですか? アップグレードか何かで32bit版ubuntuになってるのでしたら 私にはわかりません。 質問にはありませんが、もしepson-printer-utilityが 起動できないのであればqt4が必要だと思います。 私の環境lubuntu20.04ではそうでした。

ubuntu20.04は、ubuntu-ja-20.04.01-desktop-amd64.iso ですから、64ビット版と思います。 このubuntuが走っているPCのハードはPentium6000の32ビットです。 プリンタードライバーは、 epson-inkjet-printer-201211j_1.0.1-1lsb3.2_amd64.debに なるようですね。 回答有難う御座いました。

ThanksImg質問者からのお礼コメント

毎度お世話になります。 原因は、Ubuntu20.04(LTS:2025) はPX-105のデバイスドライバーが 含まれていなっかたので、よって新規にインストールしました。 約1年位前にインストールしましたUbuntu20.04(LTS:2022) は デバイスドライバーが含まれていましたので、インストールの 必要はありませんでした。 以上、回答ありがとうございました。

お礼日時:9/19 22:27